import request from '@/utils/request'

// 查询粉料采购计划列表
export function listOrder(query) {
	return request({
		url: '/mes/order/list',
		method: 'get',
		params: query
	});
}

// 查询粉料采购计划详细
export function getOrder(ID) {
	return request({
		url: '/mes/order/' + ID,
		method: 'get'
		});
}

// 新增粉料采购计划
export function addOrder(data) {
	return request({
		url: '/mes/order',
		method: 'post',
		data: data
	});
}

// 修改粉料采购计划
export function updateOrder(data) {
	return request({
		url: '/mes/order',
		method: 'put',
		data: data
	});
}

// 删除粉料采购计划
export function delOrder(ID) {
	return request({
		url: '/mes/order/' + ID,
		method: 'delete'
	});
}
